Import('pymodule')

env = Environment()
env.Append(BUILDERS = {'Touch':Builder(action=Action(''), single_source=True)})
env.Append(BUILDERS = {'Copy':Builder(action=Copy('$TARGET','$SOURCE'), single_source=True)})
env.Touch('boxes.py')
env.Touch('buddha.py')
env.Touch('bunny.py')
env.Touch('car.py')
env.Touch('dragon.py')
env.Touch('spheres_ao.py')
env.Touch('spheres_glass.py')
env.Touch('spheres_shadow.py')
env.Touch('triangles_monkey.py')
env.Touch('triangles_sphere.py')

env.Touch('objreader.py')
env.Touch('plyreader.py')
env.Touch('lworeader.py')

env.Touch('monkey.obj')
env.Touch('sphere.obj')

env.Copy(str(pymodule[0]).split('/')[-1], str(pymodule[0]))
